<?php
if ( !defined('ABS_PATH') ) { 
	exit('ABS_PATH is not loaded. Direct access is not allowed.');
}
?>

<fieldset class='box show_only'>
<h3><?php echo $heading; ?></h3>
<?php 
foreach ($fields as $field) { 
	if (empty($field['b_search'])) {
		continue;
	}
	$id = $field['pk_i_id'];
	$label = $field['s_label'];
	$type = $field['s_type'];
	$search_limits = $field['b_search_limits'];
	if ($search_limits) {
		$name_min = 'min_field_' . $id;
		$name_max = 'max_field_' . $id;
		$class = 'row one_input';
		$value_min = Params::getParam($name_min);
		$value_max = Params::getParam($name_max);
	} else {
		$name = 'field_' . $id;
		$class = 'row one_input';
		$value = Params::getParam($name);
	}
?>
	<div class='<?php echo $class; ?>'>
		
<?php if ($type == 'checkbox') { ?>
<?php   $checked = ($value == 'checked') ? " checked='checked'" : ''; ?>
				
				<input class='search_checkbox' type='checkbox' id='<?php echo $name; ?>' name='<?php echo $name; ?>' value='checked'<?php echo $checked; ?> />
                <?php echo $label; ?>
				
<?php } elseif ($type == 'date') { ?>
				<h6><?php echo $label; ?></h6>
				<input class='search_date' type='text' name='<?php echo $name; ?>' value='<?php echo $value; ?>' />	
<?php } elseif ($type == 'radio') { ?>	
				<h6><?php echo $label; ?></h6>
				<?php $this->radio_buttons($id, $name, $value, null, true); ?>
<?php } elseif ($type == 'select') { ?>	
				<div class="form-group">
				<h6><?php echo $label; ?></h6>	
				<select class='form-control' name='<?php echo $name; ?>'>
					<?php $this->select_options($id, $value); ?>
				</select>
                </div>
<?php } elseif ($type == 'text') { ?>
			<div class="form-group">
			<h6><?php echo $label; ?></h6>
			<?php if ($search_limits) { ?>
			<div class='search_limits'>
				<label>Min:</label><input class='search_smalltext form-control' type='text' name='<?php echo $name_min; ?>' value='<?php echo $value_min; ?>' />	
				<label class='search_maximum'>Max:</label><input class='search_smalltext' type='text' name='<?php echo $name_max; ?>' value='<?php echo $value_max; ?>' />	
			</div>
			<?php } else { ?>
            	
			<input class="form-control" type='text' name='<?php echo $name; ?>' value='<?php echo $value; ?>' />	
			<?php } ?>
            </div>
<?php } elseif ($type == 'textarea') {  ?>
			<div class="form-group">
			<h6><?php echo $label; ?></h6>
			<textarea class='form-control' name='<?php echo $name; ?>'><?php echo $value; ?></textarea>	
            </div>				
<?php } ?>
	</div>
<?php } ?>
</fieldset>
<?php //END