<?php 
    $i_userId = osc_logged_user_id();
	if(Params::getParam('delete') != '' && osc_is_web_user_logged_in()){
		delete_item(Params::getParam('delete'), $i_userId);
	}

    $itemsPerPage = (Params::getParam('itemsPerPage') != '') ? Params::getParam('itemsPerPage') : 12;
    $iPage        = (Params::getParam('iPage') != '') ? Params::getParam('iPage') : 0;

    Search::newInstance()->addConditions(sprintf("%st_item_watchlist.fk_i_user_id = %d", DB_TABLE_PREFIX, $i_userId));
    Search::newInstance()->addConditions(sprintf("%st_item_watchlist.fk_i_item_id = %st_item.pk_i_id", DB_TABLE_PREFIX, DB_TABLE_PREFIX));
    Search::newInstance()->addTable(sprintf("%st_item_watchlist", DB_TABLE_PREFIX));
    Search::newInstance()->page($iPage, $itemsPerPage);

    $aItems      = Search::newInstance()->doSearch();
    $iTotalItems = Search::newInstance()->count();
    $iNumPages   = ceil($iTotalItems / $itemsPerPage) ;

    View::newInstance()->_exportVariableToView('items', $aItems);
    View::newInstance()->_exportVariableToView('search_total_pages', $iNumPages);
    View::newInstance()->_exportVariableToView('search_page', $iPage) ;

	// delete item from watchlist
	function delete_item($item, $uid){
		$conn = getConnection();
		$conn->osc_dbExec("DELETE FROM %st_item_watchlist WHERE fk_i_item_id = %d AND fk_i_user_id = %d LIMIT 1", DB_TABLE_PREFIX , $item, $uid);
	}
	
	//turbo_add_body_class('searchpage userpage user-items');
	
	osc_add_hook('before-main','sidebar');
    function sidebar(){
        osc_current_web_theme_path('user-sidebar.php');
    }
?>
<div id="sub-header">
	<div class="container">
    <h2><?php _e('Dashboard', 'turbo'); ?></h2>
	<?php $breadcrumb = osc_breadcrumb('', false, get_breadcrumb_lang());
		if( $breadcrumb !== '') { ?>
			<?php echo $breadcrumb; ?>
	<?php } ?>
    </div>
</div>
<div id="columns">
	<div class="container searchpage userpage">
    	<div class="row">
			<div class="col-md-3">
            	<?php osc_run_hook('before-main'); ?>
            </div>
            <div class="col-md-9">
            	<div class="page-title">
                	<h2><?php _e('Watchlist', 'watchlist'); ?> 
					<?php if (osc_count_items() == 0) { ?>
                    <?php } else { ?>
                    <span style="font-size:12px; font-weight:normal;"> ( <?php printf(_n('You are watching %d item', 'You are watching %d items', $iTotalItems, 'watchlist'), $iTotalItems) ; ?> )</span>
                    <?php } ?></h2>
                </div>
                <div id="content">
                	<?php if (osc_count_items() == 0) { ?>
                    	<?php _e('You don\'t have any items yet', 'watchlist'); ?>
                    <?php } else { ?>
                    	<div class="row listing-list">
                    	<?php while ( osc_has_items() ) { ?>
                        	<?php 
								$dlocation = array();
								if( osc_item_city() !== '' ) {
									$dlocation[] = osc_item_city();
								}
								if( osc_item_region() !== '' ) {
									$dlocation[] = osc_item_region();
								}
							?>
							<?php 
								$make  = Params::getParam('make') ;
								$model = Params::getParam('model') ;
								$type  = Params::getParam('type') ;
							
								$makes  = ModelCars::newInstance()->getCarMakes();
								 
								$models = array();
								if($make != '') {
									$models = ModelCars::newInstance()->getCarModels($make);
								}
							
								$types = ModelCars::newInstance()->getVehiclesType();
							?>
							<div class="listing-card col-md-4 col-sm-6 col-xs-6<?php echo $class; if(osc_item_is_premium()){ echo ' premium'; } ?>  wow fadeInUp animated">
								<div class="clearfix">
								<div class="listing-image">
									<div class="image">
										<?php if( osc_images_enabled_at_items() ) { ?>
										<?php if(osc_count_item_resources()) { ?>
											<a href="<?php echo osc_item_url(); ?>" title="<?php echo osc_item_title(); ?>"><img src="<?php echo osc_resource_thumbnail_url(); ?>" alt="<?php echo osc_item_title() ; ?>" class="img-responsive" /></a>
										<?php } else { ?>
											<a href="<?php echo osc_item_url(); ?>" title="<?php echo osc_item_title(); ?>"><img src="<?php echo osc_current_web_theme_url('images/no-image.jpg'); ?>" alt="<?php echo osc_item_title() ; ?>" class="img-responsive" /></a>
										<?php } ?>
										<?php } ?>
									</div>
									<?php if(osc_item_is_premium()){ ?><div class="status"><span class="premium">Premium</span></div><?php } ?>
								</div>
								 <?php $detail   = ModelCars::newInstance()->getCarAttr(osc_item_id()) ; 
																	 $make     = ModelCars::newInstance()->getCarMakeById( $detail['fk_i_make_id'] );
																	 $detail['s_make'] = '' ;
																	if( array_key_exists('s_name', $make) ) {
																	$detail['s_make']  = $make['s_name'];
																	}
																	?>
								<div class="listing-detail">
									<h5><a href="<?php echo osc_item_url() ; ?>" class="title" title="<?php echo osc_item_title() ; ?>"><?php echo osc_item_title() ; ?></a></h5>
									<div class="listitem-detail"><?php echo osc_item_category(); ?>&nbsp;&nbsp;-&nbsp;&nbsp;<?php echo implode(', ', $dlocation); ?></div>
									
									<p><?php echo osc_highlight( strip_tags( osc_item_description()) ,150) ; ?></p>
									
									
									<ul class="details">
									<li>Make: <strong><?php echo @$detail['s_make']; ?></strong></li>
									<li class="body">Body: <strong><?php echo @$detail['s_type']; ?></strong></li>
									<li class="milage">Milage: <strong><?php echo @$detail['i_mileage']; ?></strong></li>
									<li>Engine: <strong><?php echo @$detail['i_engine_size']; ?></strong></li>
									 <li>Year: <strong><?php echo $detail['i_year']; ?></strong></li>
									</ul>
									
									<?php if( osc_price_enabled_at_items() ) { ?><span class="price"><?php echo osc_format_price(osc_item_price()); ?></span><?php } ?><?php if(!osc_is_search_page()) { ?>
									<?php if(osc_logged_user_id()== osc_item_user_id()) { ?>
									<span class="admin-options">
										<a class="delete" onclick="javascript:return confirm('<?php echo osc_esc_js(__('Are you sure you want to continue?', 'bender')); ?>')" href="<?php echo osc_render_file_url(osc_plugin_folder(__FILE__) . 'watchlist.php') . '&delete=' . osc_item_id(); ?>" ><i class="fa fa-times"></i>&nbsp;<?php _e('Delete', 'bender'); ?></a>
									</span>
									<?php } ?>
									<?php } ?>
									
								</div><!-- Detail -->
								</div>
							</div>
                        <?php } ?>
                        </div>
                    <?php } ?>
                </div>
    		</div>
        </div>
    </div>
</div>
<?php osc_run_hook('before-main'); ?>
<section id="main" class="col-md-9 col-sm-8 col-xs-12">
	<div class="content-wrapper block">
        <div class="page-title">
            
            
        </div>
        <?php if (osc_count_items() == 0) { ?>
            <div id="content">
                <p class="empty"><?php _e('You don\'t have any items yet', 'watchlist'); ?></p>
            </div>
        <?php } else { ?>
        <div id="content">
        	<ul id="listing-card-list" class="listing-card-list">
            	<?php while ( osc_has_items() ) { ?>
            	<div class="col-xs-12 col-sm-4 item-block <?php echo $class; if(osc_item_is_premium()){ echo ' premium'; } ?>">
                    <div class="item-container clearfix">
                        <div class="image-column">
                            <?php if( osc_images_enabled_at_items() ) { ?>
                                <?php if(osc_count_item_resources()) { ?>
                                        <a class="item-image" href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_item_title() ; ?>"><img src="<?php echo osc_resource_thumbnail_url(); ?>" title="<?php echo osc_item_title() ; ?>" alt="<?php echo osc_item_title() ; ?>" class="img-responsive"></a>
                                <?php } else { ?>
                                        <a class="item-image" href="<?php echo osc_item_url() ; ?>" title="<?php echo osc_item_title() ; ?>"><img src="<?php echo osc_current_web_theme_url('images/no_photo.gif'); ?>" title="<?php echo osc_item_title() ; ?>" alt="<?php echo osc_item_title() ; ?>" class="img-responsive"></a>
                                <?php } ?>
                            <?php } ?>
                        </div>
                    
                        <div class="item-column">
                            <h4><a href="<?php echo osc_item_url() ; ?>" class="title" title="<?php echo osc_item_title() ; ?>"><?php echo osc_item_title() ; ?></a></h4>
                            <p><?php if( osc_price_enabled_at_items() ) { ?>
                            <span class="price"><?php echo osc_format_price(osc_item_price()); ?></span>
                            <?php } ?></p>
                            <p><?php echo osc_highlight( strip_tags( osc_item_description()), 110) ; ?></p>
                        </div>
                        <div class="admin-options">
                            <a class="delete" onclick="javascript:return confirm('<?php echo osc_esc_js(__('Are you sure you want to continue?', 'bender')); ?>')" href="<?php echo osc_render_file_url(osc_plugin_folder(__FILE__) . 'watchlist.php') . '&delete=' . osc_item_id(); ?>" ><i class="fa fa-times"></i>&nbsp;<?php _e('Delete', 'bender'); ?></a>

                        </div>
                    </div>
                </div>
                <?php } ?>
            </ul>
            <div class="paginate">
				<?php echo osc_pagination(array('url' => osc_render_file_url(osc_plugin_folder(__FILE__) . 'watchlist.php') . '&iPage={PAGE}')); ?>
            </div>
            <?php } ?>
    	</div>
    </div>
</section>
</div>
</div>
</section>